Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# InMessageQueue Class Reference

A PhysicalInStream that reads the data from a MessageQueue. More...

`#include <InMessage.h>`

Inheritance diagram for InMessageQueue:

[legend]
Collaboration diagram for InMessageQueue:

[legend]
List of all members.

## Public Member Functions
| InMessageQueue ()
| Default constructor.
virtual bool | exists () const
| The function states whether the stream actually exists.
virtual bool | getEof () const
| The function states whether the end of the file has been reached.
## Protected Member Functions
void | open (MessageQueueBase *q)
| opens the stream.
virtual void | readFromStream (void *p, int size)
| The function reads a number of bytes from the stream.
## Private Attributes
MessageQueueBase * | queue
| The queue where the data are read from.

## Detailed Description

A PhysicalInStream that reads the data from a MessageQueue.

Definition at line 23 of file InMessage.h.

## Constructor & Destructor Documentation

InMessageQueue::InMessageQueue | ( |  | ) |

| Default constructor. Definition at line 12 of file InMessage.cpp.

## Member Function Documentation

bool InMessageQueue::exists | ( |  | ) | const`[virtual]`

| The function states whether the stream actually exists. Returns: Does the file exist? Reimplemented from PhysicalInStream. Definition at line 17 of file InMessage.cpp.

bool InMessageQueue::getEof | ( |  | ) | const`[virtual]`

| The function states whether the end of the file has been reached. Returns: End of file reached? Implements PhysicalInStream. Definition at line 22 of file InMessage.cpp. References MessageQueueBase::eof(), and queue. Referenced by InTextMessage::readAll().

Here is the call graph for this function:

void InMessageQueue::open | ( | MessageQueueBase * | q | ) | `[protected]`

  | opens the stream. Parameters:
  q | A pointer to the message queue base
Definition at line 27 of file InMessage.cpp. References queue. Referenced by InBinaryMessage::InBinaryMessage(), InConfigMessage::InConfigMessage(), and InTextMessage::InTextMessage().

void InMessageQueue::readFromStream | ( | void * | p,
|  | int | size
| ) | `[protected, virtual]`

  | The function reads a number of bytes from the stream. Parameters:
  p | The address the data is written to. Note that p must point to a memory area that is at least "size" bytes large.
  size | The number of bytes to be read.
Implements PhysicalInStream. Definition at line 32 of file InMessage.cpp. References queue, and MessageQueueBase::read().

Here is the call graph for this function:

## Member Data Documentation

MessageQueueBase* InMessageQueue::queue`[private]`

| The queue where the data are read from. Definition at line 27 of file InMessage.h. Referenced by getEof(), open(), and readFromStream().

The documentation for this class was generated from the following files:

- Tools/MessageQueue/InMessage.h
- Tools/MessageQueue/InMessage.cpp